aboutsummaryrefslogtreecommitdiffstats
path: root/testing/spamassassin/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commit99e9641675d72a43824c564ebadc6010e8df2991 (patch)
treeb14ba653381da34a922d0d48521fbe2bb3fa8122 /testing/spamassassin/APKBUILD
parentf3f0298498266839a9fb15d5e2325d68a50ad417 (diff)
downloadaports-99e9641675d72a43824c564ebadc6010e8df2991.tar.gz
aports-99e9641675d72a43824c564ebadc6010e8df2991.tar.bz2
aports-99e9641675d72a43824c564ebadc6010e8df2991.tar.xz
testing/spamassassin: new aport
Diffstat (limited to 'testing/spamassassin/APKBUILD')
-rw-r--r--testing/spamassassin/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/spamassassin/APKBUILD b/testing/spamassassin/APKBUILD
new file mode 100644
index 0000000000..0c11b29ce1
--- /dev/null
+++ b/testing/spamassassin/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=spamassassin
+_realname=Mail-SpamAssassin
+pkgver=3.2.5
+pkgrel=0
+pkgdesc="The Powerful #1 Open-Source Spam Filter"
+url="http://spamassassin.apache.org"
+license="Apache"
+depends="perl perl-digest-sha1 perl-html-parser perl-net-dns perl-db_file zlib"
+makedepends="perl-dev zlib-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.apache.org/dist/spamassassin/source/$_realname-3.2.5.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ rm $pkgdir/usr/lib/perl5/5.10.0/x86_64-linux/perllocal.pod
+}
+
+md5sums="7fdc1651d0371c4a7f95ac9ae6f828a6 Mail-SpamAssassin-3.2.5.tar.gz"